# frozen_string_literal: true


module TheatreRepr
  BASE = { only: [:id, :name, :opens_at, :closes_at, :created_at, :updated_at],
           include: { created_by_user: { only: [:id, :name] } } }.freeze

  module_function

  def base theatre
    theatre.as_json(BASE)
  end

  def many theatre
    theatre.map { |t| base(t) }
  end
end
